package Controllers

import (
	"fmt"
	"github.com/gorilla/mux"
	"net/http"
)

func MasterController() *mux.Router {
	r := mux.NewRouter()
	r.HandleFunc("/", func(w http.ResponseWriter, r *http.Request) {
		fmt.Fprintf(w, "Welcome to the api!")
	})
	r = composeSubrouters(r)
	return r
}

func composeSubrouters(r *mux.Router) *mux.Router {
	r = UserController(r)
	return r
}
