package Services

import (
	"Dhaverd/computer-journal/Database"
	"Dhaverd/computer-journal/Models"
)

type User struct {
	Name     string `json:"name"`
	Email    string `json:"email"`
	Password int    `json:"password"`
}

func GetAllUsers() []Models.User {
	connection := Database.GetConnection()
	var users []Models.User
	connection.Find(&users)
	return users
}

func GetUserById(id string) Models.User {
	connection := Database.GetConnection()
	var user Models.User
	connection.First(&user, id)
	return user
}
